<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateRegistryData extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('registry_data')
			->addColumn('registry', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('column', 'string', ['length' => 50, 'null' => false])
			->addColumn('old', 'string', ['length' => 255, 'null' => false])
			->addColumn('new', 'string', ['length' => 255, 'null' => false])
			->addForeignKey('registry', 'registries', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
